package com.altimetrik.ee.demo.controller;

import com.altimetrik.ee.demo.service.UserDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/test")
public class DemoClass {


    @Autowired
    UserDataService userDataService;

    @GetMapping(value = "hello", produces = { "application/json" })
    public ResponseEntity<String> getUserDetailByGitlabEmailId(){
        return new ResponseEntity<>("Hello User,Welcome to Playground Elab Coding challenge", HttpStatus.OK);
    }

}
